Ravens PHP Scripts: Forums
 

 

View next topic
View previous topic
Post new topic   Reply to topic    Ravens PHP Scripts And Web Hosting Forum Index -> NukeSentinel™
Author Message
whizardkid101
New Member
New Member


Joined: Jul 04, 2005
Posts: 14

PostPosted: Mon Jul 04, 2005 9:42 am Reply with quote

Okay, this is the problem, Before I had a downgraded version of sentinel that didn't save my changes. So I then found out I didn't have 2.2.0 and so I downloaded it and uploaded it onto my server overiding all the files from the previous version. Then I deleted the previous tables from the install nsnts.php and I ran the script again. So I tried it, seemed successful but then I got the 404 error after making a change in the general configuration and clicking "save changes." What I do to fix that is just erase the tables, every time I try to install new tables I get the same thing after trying to save the changes.
 
View user's profile Send private message
Raven
Site Admin/Owner


Joined: Aug 27, 2002
Posts: 17077

PostPosted: Mon Jul 04, 2005 10:52 am Reply with quote

First of all, you need to be using the latest version of NukeSentinel v2.3.1. Get that. Now, delete ALL old version NukeSentinel files and remove any changes to core files that you may have made. Then, drop all NukeSentinel tables. Next, upgrade your Nuke core files to Chatserv's latest fixpack, v3.0b. Now, you are ready to install NukeSentinel correctly.
 
View user's profile Send private message
whizardkid101
PostPosted: Mon Jul 04, 2005 5:19 pm Reply with quote

Where can I find "Chatserv's latest fixpack" I have googled it, it overiddes all of my existing folders? Last time I checked I had patch 2.9. I did find this link Only registered users can see links on this board! Get registered or login!

I do have 7.7 and I downloaded the "PHP-Nuke Patched Series" for 7.7 from nuke resources a few days ago. Would that have the 3.0 patch in it?
 
Raven
PostPosted: Mon Jul 04, 2005 6:18 pm Reply with quote

His patched series are only patched core files - not a distribution. So, you would overlay all of your core files with his. Note what he says at that link
Quote:
Note: Nuke Patched is not intended for upgrading a previous version of PHP-Nuke, it only includes the files that have been patched, you need to get the normal version at phpnuke.org first before you can use the patch, in essence this particular patch is meant for PHP-Nuke 7.7, you need to have PHP-Nuke 7.7 installed first before you add this patch.
Nuke Patched 3.0 is only available for PHP-Nuke 7.7 for the time being
 
whizardkid101
PostPosted: Mon Jul 04, 2005 9:51 pm Reply with quote

This is what I got when I did the update with the chatserve update:

Modification one to nuke_stories performed
Modification two to nuke_stories performed
Modification one to nuke_autonews performed
Modification two to nuke_autonews performed
Modification to nuke_reviews performed
Modification to nuke_reviews_add performed

Modification to nuke_bbsessions failed

Modification to nuke_bbconfig performed

Modification to nuke_modules failed

Correction finished, Delete this file now!
 
chatserv
Member Emeritus


Joined: May 02, 2003
Posts: 1389
Location: Puerto Rico

PostPosted: Mon Jul 04, 2005 11:51 pm Reply with quote

Fire up phpMyAdmin and check both tables, you will need to check if new fields were added to them, to do this click on the table name on the left side window and once the right window loads click on structure, for the bbsessions table check if among its fields session_admin is present and for the modules table check if it has a field named wysig_status, if both check correct then you are good to go.
 
View user's profile Send private message Visit poster's website
whizardkid101
PostPosted: Tue Jul 05, 2005 9:53 am Reply with quote

Yes they both were there, however I got this error when looking at the session structure: PRIMARY and INDEX keys should not both be set for column `session_id`

And I also got this error for the modules: PRIMARY and INDEX keys should not both be set for column `mid`
 
whizardkid101
PostPosted: Tue Jul 05, 2005 10:46 am Reply with quote

Arghhh! I have done everything in which you told me to do Raven, in the correct order as well, I installed the 3.0b patch, I overwrote the old files I had messed with the other nuke sentinel with the new chatserv patch. I erased all of the old nuke sentinel patches, I performed the core edits, It worked the first time after saving 1 change I had made in the configuration panel but the second time I tried to save the settings it gave me the 404 error. I am running 2 of these sites through the same database, the other one works perfectly, I just don't know what the hell is wrong with the nuke sentinel on this one!?!?!
 
Display posts from previous:       
Post new topic   Reply to topic    Ravens PHP Scripts And Web Hosting Forum Index -> NukeSentinel™

View next topic
View previous topic
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You can attach files in this forum
You can download files in this forum


Powered by phpBB © 2001-2007 phpBB Group
All times are GMT - 6 Hours
 
Forums ©